<?php
/**
 * Created by PhpStorm.
 * User: 姜克保
 * Date: 2020/5/20
 * Time: 15:48
 */

namespace Meibuyu\Micro\Service\Interfaces;


interface DispatchPlanServiceInterface
{

    /**
     * description:获取退税任务列表
     * author: fuyunnan
     * @param array $conditions 筛选条件
	 * @param int $pageSize 默认10
     * Date: 2020/6/13
     * @return array
     */
    public function listRefundTasks(array $conditions, int $pageSize = DEFAULT_PAGE_SIZE) : array;

    /**
     * description:新建退税单 获取底部产品列表
     * author: fuyunnan
     * @param array $conditions 请求参数
     * @param int $pageSize 请求参数
     * Date: 2020/6/13
     * @return array
     */
    public function listRefundProducts(array $conditions = [], int $pageSize = DEFAULT_PAGE_SIZE ) :array;


     /**
      * description:删除退税任务
      * author: fuyunnan
      * @param int $id 计划任务id
      * Date: 2020/6/13
      * @return bool
      */
    public function delete($id) :bool;

	/**
	 * description:获取发货计划详情
	 * author: fuyunnan
	 * @param array $idList
	 * @param array $conditions 将参数条件写成二维数组形式 $conditions = [ ['id','=',1],['name','=',''jack] ]
	 * Date: 2020/6/13
	 * @return array
	 */
	public function getDispatchPlan(array $idList, array $conditions = []):array;
}
